/**
 * @(#) Direction.java
 */

package com.softsky.transj.translator;
import java.io.*;


public class Direction implements Serializable
{
    private Language fromLanguage;
    
    private Language toLanguage;
    
    public Language getFromLanguage( )
    {
        return fromLanguage;
    }
    
    public Language getToLanguage( )
    {
        return toLanguage;
    }
    
    public void setFromLanguage( Language fromLanguage )
    {
        this.fromLanguage=fromLanguage;
    }
    
    public void setToLanguage( Language toLanguage )
    {
        this.toLanguage=toLanguage;
    }
    
    

    public Direction( Language languageFrom, Language languageTo )
    {
        fromLanguage = languageFrom;
        toLanguage = languageTo;
    }
    
    public String toString(){
        return fromLanguage.getFullName() + " to " + toLanguage.getFullName();
    }
}
